# Method: projects.settings.deleteValue

- [HTTP request](https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/projects.settings/deleteValue#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/projects.settings/deleteValue#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/projects.settings/deleteValue#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/projects.settings/deleteValue#body.request_body)
- [Response body](https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/projects.settings/deleteValue#body.response_body)
- [Authorization Scopes](https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/projects.settings/deleteValue#body.aspect)

Deletes a setting value. If the setting value does not exist, the operation is a no-op.

Returns a `google.rpc.Status` with `google.rpc.Code.NOT_FOUND` if the setting or the setting value does not exist. The setting value will not exist if a prior call to `DeleteSetting` for the setting value already returned a success code. Returns a `google.rpc.Status` with `google.rpc.Code.FAILED_PRECONDITION` if the setting is flagged as read only.

### HTTP request

`DELETE https://resourcesettings.googleapis.com/v1alpha1/{name=projects/*/settings/*/value}`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the setting value to delete. See `https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/folders.settings.value#SettingValue` for naming requirements. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `resourcesettings.settingvalues.delete` |

### Query parameters

| Parameters ||
|---|---|
| `ignoreReadOnly` | `boolean` A flag that allows the deletion of the value of a `readOnly` setting. WARNING: use at your own risk. Deleting the value of a read only setting is an irreversible action (i.e., it cannot be created again). |

### Request body

The request body must be empty.

### Response body

If successful, the response body will be empty.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).